Bug 811367 - Anaconda ignores static IP parameters for VNC install
Anaconda ignores static IP parameters for VNC install
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
ppc64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 16:02 EDT by Mark Hamzy
Modified: 2012-10-02 16:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: dracut-018-23.git20120419.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 01:03:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dracut crash (90.71 KB, image/jpeg)
2012-10-02 15:49 EDT, upgradeservices
no flags Details

  None (edit)
Description Mark Hamzy 2012-04-10 16:02:03 EDT
Description of problem:

I boot with the following options:

linux ip=9.5.250.145::9.5.250.1:255.255.255.0:sharpie.rchland.ibm.com:eth0:none nameserver=9.10.244.100

I then select to use vnc to access the graphical installer.  However, anaconda tells me to connect to a different address.  One that it has received via dhcp.

Version-Release number of selected component (if applicable):


How reproducible:
Very.

Steps to Reproduce:
1. See above.
  
Actual results:

Anaconda should use the passed static IP address.

Expected results:

Additional info:

[anaconda root@sharpie /]# ls -l /run/initramfs/state
ls: cannot access /run/initramfs/state: No such file or directory
[anaconda root@sharpie /]# ls -l /run/initramfs/tmp/net.*
-rw-r--r--. 1 root root  44 Apr 10 18:41 /run/initramfs/tmp/net.eth0.gw
-rw-r--r--. 1 root root  57 Apr 10 18:41 /run/initramfs/tmp/net.eth0.hostname
-rw-r--r--. 1 root root  80 Apr 10 18:41 /run/initramfs/tmp/net.eth0.override
-rw-r--r--. 1 root root  24 Apr 10 18:41 /run/initramfs/tmp/net.eth0.resolv.conf
-rw-r--r--. 1 root root 116 Apr 10 18:41 /run/initramfs/tmp/net.eth0.up
-rw-r--r--. 1 root root   0 Apr 10 18:41 /run/initramfs/tmp/net.eth1.manualup
-rw-r--r--. 1 root root   0 Apr 10 18:41 /run/initramfs/tmp/net.lo.manualup
-rw-r--r--. 1 root root   0 Apr 10 18:41 /run/initramfs/tmp/net.lo.up
[anaconda root@sharpie /]# ls /run/initramfs/tmp/ifcfg/*
ls: cannot access /run/initramfs/tmp/ifcfg/*: No such file or directory

[anaconda root@sharpie /]# cat /run/initramfs/tmp/net.eth0.hostname
echo sharpie.rchland.ibm.com > /proc/sys/kernel/hostname
[anaconda root@sharpie /]# cat /run/initramfs/tmp/net.eth0.up
ip link set eth0 up
wait_for_if_up eth0
ip addr flush dev eth0
ip addr add 9.5.250.145/255.255.255.0 brd + dev eth0
[anaconda root@sharpie /]# cat /run/initramfs/tmp/net.eth0.gw
ip route add default via 9.5.250.1 dev eth0
[anaconda root@sharpie /]# ifconfig
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 9.5.90.148  netmask 255.255.255.128  broadcast 9.5.90.255
        ether 2a:0f:41:b7:3f:03  txqueuelen 1000  (Ethernet)
        RX packets 84499  bytes 6503251 (6.2 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 38  bytes 4307 (4.2 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 19

eth1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 9.5.90.177  netmask 255.255.255.128  broadcast 9.5.90.255
        inet6 2002:905:150e:302:280f:41ff:feb7:3f06  prefixlen 64  scopeid 0x0<global>
        inet6 fe80::280f:41ff:feb7:3f06  prefixlen 64  scopeid 0x20<link>
        ether 2a:0f:41:b7:3f:06  txqueuelen 1000  (Ethernet)
        RX packets 83745  bytes 6692990 (6.3 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 8  bytes 1180 (1.1 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 22

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 16436
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
Comment 1 Fedora Update System 2012-04-19 11:14:25 EDT
dracut-018-23.git20120419.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-018-23.git20120419.fc17
Comment 2 Fedora Update System 2012-04-19 22:27:52 EDT
Package dracut-018-23.git20120419.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-018-23.git20120419.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6258/dracut-018-23.git20120419.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-04-25 01:03:53 EDT
dracut-018-23.git20120419.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 upgradeservices 2012-10-02 15:42:29 EDT
The problem reoccurred with dracut-018-98.git20120813.fc17.noarch
While installing a custom spin from cd, anaconda crashes immediately past the screen where a hostname has to be specified.
Comment 5 upgradeservices 2012-10-02 15:49:35 EDT
Created attachment 620489 [details]
dracut crash
Comment 6 Harald Hoyer 2012-10-02 16:09:00 EDT
(In reply to comment #5)
> Created attachment 620489 [details]
> dracut crash

This is really no dracut crash :) This is anaconda!!

Note You need to log in before you can comment on or make changes to this bug.